name: benefitsTab
label: Wyróżniki
fields:
  - name: benefitsList
    label: Lista wyróżników
    class: info.magnolia.ui.form.field.definition.MultiValueFieldDefinition
    transformerClass: info.magnolia.ui.form.field.transformer.multi.MultiValueSubChildrenNodePropertiesTransformer
    field:
      name: benefitsItem
      class: info.magnolia.ui.form.field.definition.CompositeFieldDefinition
      transformerClass: info.magnolia.ui.form.field.transformer.composite.NoOpCompositeTransformer
      layout: vertical
      fields:
        - name: title
          label: Tytuł
          class: info.magnolia.ui.form.field.definition.TextFieldDefinition
          required: true
          maxLength: 60
        - name: shortDescription
          label: Opis
          class: info.magnolia.ui.form.field.definition.TextFieldDefinition
          maxLength: 250
        - name: details
          label: Szczegółowy opis
          class: info.magnolia.ui.form.field.definition.RichTextFieldDefinition
          tables: true
          images: true
        - name: image
          label: Obrazek
          class: info.magnolia.ui.form.field.definition.LinkFieldDefinition
          required: true
          targetWorkspace: dam
          appName: assets
          targetTreeRootPath: /
          identifierToPathConverter:
            class: info.magnolia.dam.app.assets.field.translator.AssetCompositeIdKeyTranslator
          contentPreviewDefinition:
            contentPreviewClass: info.magnolia.dam.app.ui.field.DamFilePreviewComponent
          